Subject: [http-state] draft-ietf-httpstate-cookie-08

From: Adam Barth <[email-masked]>
Date: Fri, 23 Apr 2010 11:00:39 -0700

Thanks for all your feedback.  I've posted a new version of the draft
with the changes we've discussed:

http://www.ietf.org/id/draft-ietf-httpstate-cookie-08.txt

Adam

---

From: Julian Reschke <[email-masked]>
Date: Wed, 28 Apr 2010 13:51:14 +0200

> http://www.ietf.org/id/draft-ietf-httpstate-cookie-08.txt

Hi Adam,

I just did a routine check of the ABNF, which, when extracted and parsed 
by BAP (Bill's ABNF Parser) produces - proposals inline.

> OWS = *( [ obs-fold ] WSP )
> obs-fold = CRLF
> set-cookie-header = "Set-Cookie:" SP set-cookie-string
> set-cookie-string = cookie-pair *( ";" SP cookie-av )
> cookie-pair = cookie-name "=" cookie-value
> cookie-name = token
> cookie-value = token
> token = <token, as defined in RFC 2616>

   token = <token, as defined in [RFC2616], Section 2.2>

> cookie-av = expires-av / max-age-av / domain-av / path-av / secure-av / httponly-av / extension-av
> expires-av = "Expires=" sane-cookie-date
> sane-cookie-date = <rfc1123-date, as defined in RFC 2616>

   sane-cookie-date = <rfc1123-date, as defined in [RFC2616], Section 3.3.1>

> max-age-av = "Max-Age=" 1*DIGIT
> domain-av = "Domain=" domain-value
> domain-value = <subdomain, as defined in RFC 1034>

   domain-value = <subdomain, as defined in [RFC1034], Section 3.5>

BTW: isn't there anything newer that could be cited

> path-av = "Path=" path-value
> path-value = <abs_path, except those containing ";">

You need to state where this comes from. Did you mean path_absolute, as 
defined in RFC 3986, Section 3.3?

> secure-av = "Secure"
> httponly-av = "HttpOnly"
> extension-av = <any CHAR except CTLs or ";">

   extension-av = <any (VCHAR / SP) except ";">

or even

   SP / "!" / DQUOTE / "#" / "$" / "%" / "&" / "'" / "(" / ")" / "*" / 
"+" / "," / "-" / "." / "/" / DIGIT / ":" / "<" / "=" / ">" / "?" / "@" 
/ ALPHA / "[" / "\" / "]" / "^" / "_" / "`" / "{" / "|" / "}" / "~"

> cookie-header = "Cookie:" OWS cookie-string OWS
> cookie-string = cookie-pair *( ";" SP cookie-pair )
> cookie-date = *delimiter date-token-list *delimiter
> date-token-list = date-token *( 1*delimiter date-token )
> delimiter = %x09 / " " / "!" / %x22 / "#" / "$" / "%" / "&" / "'" / "(" / ")" / "*" / "+" / "," / "-" / "." / "/" / ";" / "<" / "=" / ">" / "?" / "@" / "[" / "\" / "]" / "^" / "_" / "`" / "{" / "|" / "}" / "~"
> date-token = day-of-month / month / year / time / mystery
> day-of-month = 2DIGIT / DIGIT
> month = ( "jan" [ mystery ] ) / ( "feb" [ mystery ] ) / ( "mar" [ mystery ] ) / ( "apr" [ mystery ] ) / ( "may" [ mystery ] ) / ( "jun" [ mystery ] ) / ( "jul" [ mystery ] ) / ( "aug" [ mystery ] ) / ( "sep" [ mystery ] ) / ( "oct" [ mystery ] ) / ( "nov" [ mystery ] ) / ( "dec" [ mystery ] )
> year = 4DIGIT / 3DIGIT / 2DIGIT / DIGIT
> time = time-field ":" time-field ":" time-field
> time-field = 2DIGIT / DIGIT
> CTLwoHTAB = %x00-08 / %x0A-1F / %x7F
> mystery = CTLwoHTAB / ":" / ALPHA / DIGIT / %x80-FF
> ; set-cookie-header defined but not used
> ; cookie-header defined but not used
> ; cookie-date defined but not used

Best regards, Julian